Remove sub-account Pay Terms
curl --request DELETE \
--url https://api.creditor.younegotiate.com/pay-terms/sub-accounts/{subclient} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/pay-terms/sub-accounts/{subclient}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/pay-terms/sub-accounts/{subclient}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Master pay terms saved successfully.",
"data": {
"id": 123,
"type_label": "<string>",
"terms_name": "<string>",
"subclient": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
},
"has_pay_terms": true,
"pif_balance_discount_percent": 123,
"ppa_balance_discount_percent": 123,
"min_monthly_pay_percent": 123,
"max_days_first_pay": 123,
"settlement_auto_approve_enabled": true,
"payment_plan_auto_approve_enabled": true,
"settlement_auto_decline_enabled": true,
"payment_plan_auto_decline_enabled": true,
"pif_auto_approve_percent": 123,
"pif_integrity_percent": 123,
"min_monthly_pay_auto_approve_percent": 123,
"min_monthly_pay_integrity_percent": 123,
"max_days_first_pay_auto_approve": 123,
"custom_rules": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}Remove sub-account Pay Terms
Clear Pay Terms from a sub-account without deleting the sub-account.
DELETE
/
pay-terms
/
sub-accounts
/
{subclient}
Remove sub-account Pay Terms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Sub account ID.
Last modified on July 20, 2026
Was this page helpful?
⌘I

